Spigot AwesomeLevels 1.4

Unmatched Level Plugin for your Server!

  1. xEmirr submitted a new resource:

    AwesomeLevels - Unmatched Level Plugin for your Server!

    Read more about this resource...
     
  2. Won't work on 1.16.1
     
  3. Do you have all plugins in the dependencies? Vault, Permission Plugin and Economy Plugin